%define name iwlwifi-3945-ucode
%define version 15.32.2.9
%define release %mkrel 2

Summary: Intel PRO/Wireless 3945ABG/BG microcode
Name: 	 %{name}
Version: %{version}
Release: %{release}
Source:  http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
License: Proprietary
Group:   System/Kernel and hardware
URL: 	 http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Obsoletes: iwlwifi-3945-ucode < %version

%description
The file iwlwifi-3945-1.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 3945ABG/BG Network
Connection Adapter driver for Linux (iwl3945) to be able to operate
on your system.

%prep
%setup -q
chmod -x *

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode


%changelog

* Tue Jul 12 2016 piratejumbo <beppejumbo72@gmail.com> 1.0.4-1uplos2016
- rebuild

* Sun Feb 14 2010 Texstar <texstar at gmail.com> 15.32.2.9-2pclos2010
- update for 2010 release

* Tue Aug 11 2009 siamer <siamer@wp.pl> 15.32.2.9-1pclos2009
- new version 15.32.2.9

* Tue Jan 13 2009 Gettinther <gettinther@gmail.com> 15.28.2.8-1pclos2007
- Updated to 15.28.2.8

* Thu Oct 23 2008 Gettinther <gettinther@gmail.com> 15.28.1.6-1pclos2007
- Initial build for pclos, taken graciously from Mandriva

